Index: branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IBoundedIntegerVectorOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IBoundedIntegerVectorOperator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IBoundedIntegerVectorOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
+  [StorableType("4744c61a-2e59-47d1-a86d-df65110545d4")]
   public interface IBoundedIntegerVectorOperator : IIntegerVectorOperator {
     /// <summary>
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorCreator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorCreator.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
@@ -28,4 +29,5 @@
   /// An interface which represents an operator for creating vectors of int-valued data.
   /// </summary>
+  [StorableType("b99516a9-ed1d-4683-8856-e2d1db0a50d9")]
   public interface IIntegerVectorCreator : ISolutionCreator, IBoundedIntegerVectorOperator {
     IValueLookupParameter<IntValue> LengthParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorCrossover.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorCrossover.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
@@ -27,4 +28,5 @@
   /// An interface which represents an operator for crossing vectors of int-valued data.
   /// </summary>
+  [StorableType("1a0fa9e8-cdf4-423b-bfd7-13b2c0dfa306")]
   public interface IIntegerVectorCrossover : IIntegerVectorOperator, ICrossover {
     ILookupParameter<ItemArray<IntegerVector>> ParentsParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorManipulator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorManipulator.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
@@ -27,4 +28,5 @@
   /// An interface which represents an operator for manipulating vectors of int-valued data.
   /// </summary>
+  [StorableType("5c8d243c-5ff3-40bd-b82f-12c2ab05ac03")]
   public interface IIntegerVectorManipulator : IIntegerVectorOperator, IManipulator {
     ILookupParameter<IntegerVector> IntegerVectorParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorMultiNeighborhoodShakingOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorMultiNeighborhoodShakingOperator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorMultiNeighborhoodShakingOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
+  [StorableType("d7f3845a-fd58-4fea-aa6b-3d55cbb008a0")]
   public interface IIntegerVectorMultiNeighborhoodShakingOperator : IIntegerVectorOperator {
     ILookupParameter<IntegerVector> IntegerVectorParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorOperator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorOperator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator dealing with vectors of int-valued data.
   /// </summary>
+  [StorableType("af579b6f-34f2-4738-9c18-aab47c84d519")]
   public interface IIntegerVectorOperator : IOperator { }
 }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterCreator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterCreator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
+  [StorableType("6ab31b1b-fd5b-4608-a4df-d89ce349408b")]
   public interface IIntegerVectorStdDevStrategyParameterCreator : IIntegerVectorStdDevStrategyParameterOperator, IStrategyParameterCreator {
     ILookupParameter<DoubleArray> StrategyParameterParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterCrossover.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterCrossover.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
+  [StorableType("03f9ab7f-8cc3-4824-b325-a0c6e25ffba1")]
   public interface IIntegerVectorStdDevStrategyParameterCrossover : IIntegerVectorStdDevStrategyParameterOperator, IStrategyParameterCrossover {
     ILookupParameter<DoubleArray> StrategyParameterParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterManipulator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterManipulator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
+  [StorableType("ff8ce4b1-be84-4dc5-871b-812b7ad90d8e")]
   public interface IIntegerVectorStdDevStrategyParameterManipulator : IIntegerVectorStdDevStrategyParameterOperator, IStrategyParameterManipulator {
     ILookupParameter<DoubleArray> StrategyParameterParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterOperator.cs	(revision 14923)
+++ branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorStdDevStrategyParameterOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
+  [StorableType("4b1b9c96-13dd-42ce-813a-6d7e3403ccb6")]
   public interface IIntegerVectorStdDevStrategyParameterOperator : IOperator {
   }
